Skip to main content
GET
/
open-api
/
v1.1
/
memberships
/
members
List Members
curl --request GET \
  --url https://api.fourthwall.com/open-api/v1.1/memberships/members \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.fourthwall.com/open-api/v1.1/memberships/members"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.fourthwall.com/open-api/v1.1/memberships/members', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "members": [
    {
      "id": 123,
      "nickname": "<string>",
      "email": "<string>",
      "state": {
        "subscribedAt": "2023-11-07T05:31:56Z",
        "type": "Active",
        "freeTrialEndsAt": "2023-11-07T05:31:56Z"
      },
      "joinedAt": "2023-11-07T05:31:56Z",
      "shadowBanned": true,
      "cancelRequest": {
        "type": "Allowed",
        "subscriptionCurrentPeriodEnd": "2023-11-07T05:31:56Z"
      },
      "creatorNotes": {
        "note": "<string>"
      },
      "avatarUrl": "<string>",
      "tier": {
        "name": "<string>",
        "askForShippingAddress": true
      },
      "conversationId": 123,
      "badges": [
        {
          "id": 123,
          "icon": {
            "type": "Emoji",
            "emojiIcon": "<string>"
          },
          "text": "<string>",
          "assignedAt": "2023-11-07T05:31:56Z",
          "minimal": true,
          "emojiIcon": "<string>",
          "textColor": "<string>",
          "backgroundColor": "<string>",
          "borderColor": "<string>"
        }
      ],
      "wantsToReceiveBenefits": true,
      "shippingAddress": {
        "name": "<string>",
        "address1": "<string>",
        "city": "<string>",
        "country": "<string>",
        "address2": "<string>",
        "state": "<string>",
        "zip": "<string>",
        "phone": "<string>",
        "vatId": "<string>"
      }
    }
  ],
  "pagination": {
    "pages": 123,
    "limit": 123,
    "page": 123,
    "total": 123
  }
}
{
"parameters": "{ \"post_id\": [ \"is missing\" ] }",
"body": "{ \"discount\": { \"percentOff\": [ \"is missing\" ] } }"
}
OAuth scope: memberships_readAPI keys have full access to this endpoint.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

X-ShopId
string

Query Parameters

page
integer
limit
integer
search_query
string
tier_ids[]
(integer | null)[]
intervals[]
(enum<string> | null)[]
Available options:
Month,
Year
states[]
(enum<string> | null)[]
Available options:
Active,
Expiring,
Former,
PastDue,
None,
FreeTrial
member_ids[]
(integer | null)[]
gifted_by_others
boolean

Response

members
Member · object[]
required
pagination
Pagination · object
required